Bug 1279312 - When cancel a build the build status always become failed
When cancel a build the build status always become failed
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Build (Show other bugs)
3.x
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Ben Parees
Wenjing Zheng
:
Depends On:
Blocks: 1287943
  Show dependency treegraph
 
Reported: 2015-11-09 01:43 EST by DeShuai Ma
Modified: 2016-05-12 13:14 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1287943 (view as bug list)
Environment:
Last Closed: 2016-05-12 13:14:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description DeShuai Ma 2015-11-09 01:43:55 EST
Description of problem:
When cancel a build, the canceled build status always become failed, it should be "Cancelled".

Version-Release number of selected component (if applicable):
openshift v1.0.7-73-g1605f20
kubernetes v1.2.0-alpha.1-1107-g4c8e6f4

How reproducible:
Always

Steps to Reproduce:
1.Create a app
[root@dhcp-128-7 origin]# oc new-app -f examples/sample-app/application-template-stibuild.json -n dma
--> Deploying template ruby-helloworld-sample for "examples/sample-app/application-template-stibuild.json"
     With parameters:
      ADMIN_USERNAME=adminIC6 # generated
      ADMIN_PASSWORD=qWjERHv0 # generated
      MYSQL_USER=user2QE # generated
      MYSQL_PASSWORD=TMNWCM6Q # generated
      MYSQL_DATABASE=root
--> Creating resources with label app=ruby-sample-build ...
    Service "frontend" created
    Route "route-edge" created
    ImageStream "origin-ruby-sample" created
    ImageStream "ruby-20-centos7" created
    BuildConfig "ruby-sample-build" created
    DeploymentConfig "frontend" created
    Service "database" created
    DeploymentConfig "database" created
--> Success
    Build scheduled for "ruby-sample-build" - use the logs command to track its progress.
    Run 'oc status' to view your app.

2.Check the build
[root@dhcp-128-7 origin]# oc get build -n dma
NAME                  TYPE      FROM      STATUS    STARTED          DURATION
ruby-sample-build-1   Source    Git       Running   50 seconds ago   1s

3.Cancel a build
[root@dhcp-128-7 origin]# oc cancel-build ruby-sample-build-1 -n dma
ruby-sample-build-1

4.Check the build status
[root@dhcp-128-7 origin]# oc get build -n dma
NAME                  TYPE      FROM      STATUS    STARTED              DURATION
ruby-sample-build-1   Source    Git       Failed    About a minute ago   11s

Actual results:
4.The build status is "Failed"

Expected results:
4.The build status should is "Cancelled"

Additional info:
Comment 1 Ben Parees 2015-11-09 11:49:48 EST
this appears to only occur for builds canceled within a few seconds of entering the running state.

builds that were pending, or running for some period of time, appear to move to canceled and stay there, but builds that were briefly running get marked canceled, and then later marked failed.
Comment 2 DeShuai Ma 2015-11-16 03:37:18 EST
[root@openshift-136 ~]# oc get build -n dma
NAME                  TYPE      FROM      STATUS      STARTED   DURATION
ruby-sample-build-1   Docker    Git       Cancelled

Note You need to log in before you can comment on or make changes to this bug.